[FEATURE] Implement a protected context for restricted method calls

A whitelisting approach enables protection of arbitrary methods that
can be called through an Eel context. A new interface allows for dynamic
policies of allowed methods which is useful for operations in FlowQuery.

The behaviour of the existing Context implementation is not changed.
History
#1 - 2013-07-12 15:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21806

#2 - 2013-07-12 15:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21806

#3 - 2013-07-14 10:00 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21806

#4 - 2013-07-16 12:38 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bb6828497d06e3b7012c4791ca8d41e24b7cdf05.
